summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorTill Adam <tillsan@users.sourceforge.net>2002-03-21 11:44:11 +0000
committerTill Adam <tillsan@users.sourceforge.net>2002-03-21 11:44:11 +0000
commitd3e2560ad155ece86a232403edaf11a633039a05 (patch)
treed3ed61d0889493825cfe667c1481815ad9dc058b /autogen.sh
parent609d6c185e9ed18eb16ee67edeb2a2e0e9908c09 (diff)
downloadenlightenment-d3e2560ad155ece86a232403edaf11a633039a05.tar.gz
fixes by Michi Thalmann <th@lmann.ch>
SVN revision: 6084
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 13 insertions, 8 deletions
diff --git a/autogen.sh b/autogen.sh
index e1f34003b8..4e702b73e7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,11 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+abort () {
+ echo "$1 not found or command failed. Aborting!"
+ exit 1
+}
+
srcdir=`dirname $0`
PKG_NAME="the package."
@@ -106,7 +111,7 @@ do
echo "Creating $dr/aclocal.m4 ..."
test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
echo "Running gettextize... Ignore non-fatal messages."
- echo "no" | gettextize --force --copy
+ echo "no" | gettextize --force --copy || abort "gettextize"
echo "Making $dr/aclocal.m4 writable ..."
test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
fi
@@ -115,24 +120,24 @@ do
echo "Creating $dr/aclocal.m4 ..."
test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
echo "Running gettextize... Ignore non-fatal messages."
- echo "no" | gettextize --force --copy
+ echo "no" | gettextize --force --copy || abort "gettextize"
echo "Making $dr/aclocal.m4 writable ..."
test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
fi
if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
echo "Running libtoolize..."
- libtoolize --force --copy
+ libtoolize --force --copy || abort "libtoolize"
fi
echo "Running aclocal $aclocalinclude ..."
- aclocal $aclocalinclude
+ aclocal $aclocalinclude || abort "aclocal"
if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
echo "Running autoheader..."
- autoheader
+ autoheader || abort "autoheader"
fi
echo "Running automake --gnu $am_opt ..."
- automake --add-missing --gnu $am_opt
+ automake --add-missing --gnu $am_opt || abort "automake"
echo "Running autoconf ..."
- autoconf
+ autoconf || abort "autoconf"
)
fi
done
@@ -142,7 +147,7 @@ done
if test x$NOCONFIGURE = x; then
echo Running $srcdir/configure $conf_flags "$@" ...
$srcdir/configure $conf_flags "$@" \
- && echo Now type \`make\' to compile $PKG_NAME
+ && echo Now type \`make\' to compile $PKG_NAME || abort "configure"
else
echo Skipping configure process.
fi